Skip to main content
GET
Get acceptance account by ID

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

id
string<uuid>
required

Unique identifier of the acceptance account

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Acceptance account details.

A ledger acceptance account where the merchant's collected funds are held and payouts are funded from

id
string<uuid>
required

Acceptance account identifier. Use it as acceptance_account_id when creating a payout.

Example:

"550e8400-e29b-41d4-a716-446655440000"

account_name
string
required

Acceptance account name

Example:

"Acceptance Pool - TikTok Shop"

reference
string
required

Sub-account key within the business account and currency

Example:

"main"

currency
string
required

ISO 4217 currency code

Example:

"SAR"

status
enum<string>
required

Acceptance account status. Only ACTIVE accounts can fund payouts.

Available options:
ACTIVE,
RESTRICTED,
CLOSED,
DORMANT,
UNCLAIMED,
ABANDONED,
FREEZED,
ON_HOLD
Example:

"ACTIVE"

balance
integer
required

Total funds held in the acceptance account, in minor units

Required range: x >= 0
Example:

1400000

available_balance
integer
required

Amount that can be paid out now, in minor units. Excludes funds on hold for payouts in progress.

Required range: x >= 0
Example:

1250000

account_number
string

12-digit internal account number

Example:

"000110000015"